%global _empty_manifest_terminate_build 0
Name:		python-ifcfg
Version:	0.24
Release:	1
Summary:	Python Ifconfig Wrapper for Unix/Linux/MacOSX
License:	BSD
URL:		https://github.com/ftao/python-ifcfg
Source0:	https://files.pythonhosted.org/packages/ba/51/53de897f3be2402b53940cfe2570a1838ef828f416b5198dd454f1654b76/ifcfg-0.24.tar.gz
BuildArch:	noarch

%description
Ifcfg is a cross-platform (Windows/Unix) library for parsing ``ifconfig`` and
``ipconfig`` output in Python. It is useful for pulling information such as IP,
Netmask, MAC Address, Hostname, etc.
A fallbacks to ``ip`` is included for newer Unix systems w/o ``ifconfig``. Windows
systems are supported (in English) through ``ipconfig``.

%package -n python3-ifcfg
Summary:	Python Ifconfig Wrapper for Unix/Linux/MacOSX
Provides:	python-ifcfg = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-ifcfg
Ifcfg is a cross-platform (Windows/Unix) library for parsing ``ifconfig`` and
``ipconfig`` output in Python. It is useful for pulling information such as IP,
Netmask, MAC Address, Hostname, etc.
A fallbacks to ``ip`` is included for newer Unix systems w/o ``ifconfig``. Windows
systems are supported (in English) through ``ipconfig``.

%package help
Summary:	Development documents and examples for ifcfg
Provides:	python3-ifcfg-doc
%description help
Ifcfg is a cross-platform (Windows/Unix) library for parsing ``ifconfig`` and
``ipconfig`` output in Python. It is useful for pulling information such as IP,
Netmask, MAC Address, Hostname, etc.
A fallbacks to ``ip`` is included for newer Unix systems w/o ``ifconfig``. Windows
systems are supported (in English) through ``ipconfig``.

%prep
%autosetup -n ifcfg-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-ifcfg -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Apr 28 2023 wubijie <wubijie@kylinos.cn> - 0.24-1
- Update package to version 0.24

* Tue Aug 02 2022 fushanqing <fushanqing@kylinos.cn> - 0.23-1
- update to 0.23

* Wed Feb 10 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
